Update shared link on web link
Updates a shared link on a web link.
Authorizations
Query Parameters
Body
The settings for the shared link to update.
Response
Returns a basic representation of the web link, with the updated shared link attached.
Web links are objects that point to URLs. These objects are also known as bookmarks within the Box web application.
Web link objects are treated similarly to file objects, they will also support most actions that apply to regular files.
A numeric identifier that represents the most recent user event that has been applied to this item.
This can be used in combination with the GET /events-endpoint to filter out user events that would have occurred before this identifier was read.
An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the sequence_id in the event is smaller than or equal to the sequence_id in the originally fetched resource.
"3"
The shared link object for this item. Will be null if no shared link has been created.
The collections that this web link belongs to.
For more information, see the collections guide.
The shared link access levels the authenticated user is allowed to use when creating or updating a shared link for this web link.
The list depends on item policy and user authorization, so it may be narrower than the levels available to the owner. An empty array means no access level is available to this user.
The access level for a shared link.
open, company, collaborators 